Bug 111092 - [CSS Regions] Regions auto-height and absolute positioning bug
Summary: [CSS Regions] Regions auto-height and absolute positioning bug
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: AdobeTracked
Depends on:
Blocks: 57312
  Show dependency treegraph
 
Reported: 2013-02-28 10:39 PST by CJ Gammon
Modified: 2013-06-13 09:49 PDT (History)
6 users (show)

See Also:


Attachments
reduced test demo of height auto error with absolute positioning (937 bytes, application/zip)
2013-02-28 10:39 PST, CJ Gammon
no flags Details
Patch (1.56 KB, patch)
2013-05-29 07:14 PDT, Anton Obzhirov
no flags Details | Formatted Diff | Diff
Patch (3.93 KB, patch)
2013-06-05 05:38 PDT, Anton Obzhirov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description CJ Gammon 2013-02-28 10:39:32 PST
Created attachment 190755 [details]
reduced test demo of height auto error with absolute positioning

when absolutely positioning a region at bottom: 0; it seems to not use the calculated height of the element when the height is auto.  Instead it treats the element like it has no height for positioning.  In this example I would expect the bottom of the element to be at the bottom of the screen, but as you can see it puts the top at the bottom of the screen.
Comment 1 Anton Obzhirov 2013-05-23 08:34:53 PDT
I will try to fix this one - will take some time for me to catch up with css regions.
Comment 2 Anton Obzhirov 2013-05-29 07:14:06 PDT
Created attachment 203199 [details]
Patch
Comment 3 Mihnea Ovidenie 2013-05-30 23:42:08 PDT
(In reply to comment #2)
> Created an attachment (id=203199) [details]
> Patch

Thanks for the attempt. I suggest that you should write a patch for review following the guidelines from WebKit. This should include a test for the patch, a changelog in which you should explain what was the problem and how your solution fixes the problem.
Comment 4 Anton Obzhirov 2013-06-03 02:45:03 PDT
I will do that, I suppose I can reuse test demo attached as a basic for new layout test?
Comment 5 Mihnea Ovidenie 2013-06-03 04:14:11 PDT
(In reply to comment #4)
> I will do that, I suppose I can reuse test demo attached as a basic for new layout test?

Sure. Some of the layout tests in fast/regions use a script, check-layout.js, it may be a good idea to use it for this test instead of writing a ref test.
Comment 6 Anton Obzhirov 2013-06-05 05:38:18 PDT
Created attachment 203811 [details]
Patch
Comment 7 Dave Hyatt 2013-06-13 08:22:24 PDT
Comment on attachment 203811 [details]
Patch

r=me
Comment 8 WebKit Commit Bot 2013-06-13 09:49:30 PDT
Comment on attachment 203811 [details]
Patch

Clearing flags on attachment: 203811

Committed r151554: <http://trac.webkit.org/changeset/151554>
Comment 9 WebKit Commit Bot 2013-06-13 09:49:33 PDT
All reviewed patches have been landed.  Closing bug.